Get Default Protocol List

Prev Next

This URL gets the default protocol list.

Resource URL

GET /malwarepolicy/malwareprotocols

Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

advancedMalwareProtocols

List of objects containing protocol details

Array

Details of object in advancedMalwareProtocols:

Field Name

Description

Data Type

protocolName

Type of the file

String

enabled

Is protocol enabled

Boolean

protocolNumber

Protocol number

Number

Example

Request

GET https://<NSM_IP>/sdkapi/malwarepolicy/malwareprotocols

Response

   {
       "advancedMalwareProtocols":
       [
           {
               "protocolName": "HTTP",
               "protocolNumber": 16,
               "enabled": true
           },
           {
               "protocolName": "SMTP",
               "protocolNumber": 12,
               "enabled": false
           }
       ]
   }

Error Information

None